[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 10 Update: perl-Gtk2-MozEmbed-0.08-6.fc10.2



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-6366
2009-06-15 22:06:46
--------------------------------------------------------------------------------

Name        : perl-Gtk2-MozEmbed
Product     : Fedora 10
Version     : 0.08
Release     : 6.fc10.2
URL         : http://search.cpan.org/dist/Gtk2-MozEmbed
Summary     : Interface to the Mozilla embedding widget
Description :
This module allows you to use the Mozilla embedding widget from Perl.

--------------------------------------------------------------------------------
Update Information:

Update to new upstream Firefox version 3.0.11, fixing multiple security issues
detailed in the upstream advisories:    http://www.mozilla.org/security/known-
vulnerabilities/firefox30.html#firefox3.0.11    Update also includes all
packages depending on gecko-libs rebuild against new version of Firefox /
XULRunner.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #503568 - CVE-2009-1392 Firefox browser engine crashes
        https://bugzilla.redhat.com/show_bug.cgi?id=503568
  [ 2 ] Bug #503569 - CVE-2009-1832 Firefox double frame construction flaw
        https://bugzilla.redhat.com/show_bug.cgi?id=503569
  [ 3 ] Bug #503570 - CVE-2009-1833 Firefox JavaScript engine crashes
        https://bugzilla.redhat.com/show_bug.cgi?id=503570
  [ 4 ] Bug #503573 - CVE-2009-1834 Firefox URL spoofing with invalid unicode characters
        https://bugzilla.redhat.com/show_bug.cgi?id=503573
  [ 5 ] Bug #503576 - CVE-2009-1835 Firefox Arbitrary domain cookie access by local file: resources
        https://bugzilla.redhat.com/show_bug.cgi?id=503576
  [ 6 ] Bug #503578 - CVE-2009-1836 Firefox SSL tampering via non-200 responses to proxy CONNECT requests
        https://bugzilla.redhat.com/show_bug.cgi?id=503578
  [ 7 ] Bug #503579 - CVE-2009-1837 Firefox Race condition while accessing the private data of a NPObject JS wrapper class object
        https://bugzilla.redhat.com/show_bug.cgi?id=503579
  [ 8 ] Bug #503580 - CVE-2009-1838 Firefox arbitrary code execution flaw
        https://bugzilla.redhat.com/show_bug.cgi?id=503580
  [ 9 ] Bug #503581 - CVE-2009-1839 Firefox information disclosure flaw
        https://bugzilla.redhat.com/show_bug.cgi?id=503581
  [ 10 ] Bug #503582 - CVE-2009-1840 Firefox XUL scripts skip some security checks
        https://bugzilla.redhat.com/show_bug.cgi?id=503582
  [ 11 ] Bug #503583 - CVE-2009-1841 Firefox JavaScript arbitrary code execution
        https://bugzilla.redhat.com/show_bug.cgi?id=503583
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update perl-Gtk2-MozEmbed' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]